org.python.modules

## Class _systemrestart

- java.lang.Object
- - org.python.modules._systemrestart

All Implemented Interfaces:
  ClassDictInit

    public class _systemrestart
    extends java.lang.Object
    implements ClassDictInit

### Field Summary

Fields
`static PyObject` `SystemRestart` Jython-specific exception for restarting the interpreter.

### Constructor Summary

Constructors
Constructor and Description
`_systemrestart()`

### Method Summary

Methods
`static void` `classDictInit(PyObject dict)`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### SystemRestart

    public static PyObject SystemRestart

Jython-specific exception for restarting the interpreter. Currently supported only by jython.java, when executing a file (i.e, non-interactive mode). WARNING: This is highly *experimental* and subject to change.

### Constructor Detail

#### _systemrestart

    public _systemrestart()

### Method Detail

#### classDictInit

    public static void classDictInit(PyObject dict)